apiVersion: apps/v1
kind: Deployment
metadata:
  name: gfi-webcomp-app-deployment
  namespace: {{ .Release.Namespace }}
spec:
  replicas: 1
  revisionHistoryLimit: 2
  selector:
    matchLabels:
      app: gfi-webcomp-app-container
  template:
    metadata:
      labels:
        app: gfi-webcomp-app-container
    spec:
      containers:
        - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: Always
          name: gfi-webcomp-app-container
          ports:
            - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: gfi-webcomp-app-service
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    app: gfi-webcomp-app-container
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
